.\" $NetBSD: edc.4,v 1.10 2003/02/14 15:20:18 grant Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 19, 2001
.Dt EDC 4
.Os
.Sh NAME
.Nm edc
.Nd
.Tn IBM
DASD Storage Interface
ESDI disk driver
.Sh SYNOPSIS
.Cd "edc* at mca? slot ?"
.Cd "ed* at edc? drive ?"
.Sh DESCRIPTION
The
.Nm
driver supports
.Tn IBM
.Tn MCA
ESDI disk controllers and disks, most commonly
found in
.Tn IBM
.Tn PS/2
machines.
Supported boards include:
.Pp
.Bl -tag -width xxxx -offset indent
.It Tn IBM ESDI Fixed Disk Controller
.It Tn IBM Integrated ESDI Fixed Disk \*[Am] Controller
.El
.Sh SEE ALSO
.Xr intro 4 ,
.Xr mca 4
.Sh HISTORY
This driver appeared in
.Nx 1.6 .
.Sh AUTHORS
The driver was written by
.An Jaromir Dolecek
.Aq jdolecek@NetBSD.org .
.Sh NOTES
The driver should also work properly on machines with more than
16MB of memory, using buffer bouncing to overcome 24bit MCA DMA
limitation.
